Bug 389371 - Text in systemtray tooltips are not center aligned vertically
Summary: Text in systemtray tooltips are not center aligned vertically
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Unclassified
Component: Panel (show other bugs)
Version: 5.11.5
Platform: Manjaro Linux
: NOR minor
Target Milestone: 1.0
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-01-24 14:49 UTC by ps.prateek.sharma143
Modified: 2018-01-26 14:50 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
Screenshot of the problem (449.46 KB, image/png)
2018-01-24 14:49 UTC, ps.prateek.sharma143
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ps.prateek.sharma143 2018-01-24 14:49:28 UTC
Created attachment 110093 [details]
Screenshot of the problem

After clicking the "show hidden icons" in system-tray. The text in the tool-tip is not aligned properly. If we re-hover it again it becomes correct.
Comment 1 Kai Uwe Broulik 2018-01-26 14:50:51 UTC
Git commit f31e7860d98f3c66888f1102a7cf3c47f31e2a59 by Kai Uwe Broulik.
Committed on 26/01/2018 at 14:49.
Pushed by broulik into branch 'master'.

[Default Tooltip] Fix sizing

Unset the Label's default height which completely confuses the renderer either shifting the item vertically (e.g. when toggling
system tray popup), or letting it get too wide (e.g. when moving from a two-line tooltip to a one-line tooltip).
Also let the Layouts figure out sizing rather than trying to overrule it with flaky values.
Related: bug 386260

Differential Revision: https://phabricator.kde.org/D10077

M  +6    -6    src/declarativeimports/core/private/DefaultToolTip.qml

https://commits.kde.org/plasma-framework/f31e7860d98f3c66888f1102a7cf3c47f31e2a59